# Get endpoints

### Best Bid and Offer

<pre><code><strong>GET /book/bbo?base=&#x3C;symbol>&#x26;quote=&#x3C;symbol>&#x26;to_ecosystem_book=&#x3C;1|0>
</strong></code></pre>

Returns the best level bids and asks for the requested pair of tokens' depthbook

### Snapshot

```
GET /book/snapshot?levels=<num_lvls>&base=<symbol>&quote=<symbol>&to_ecosystem_book=<1|0>
```

Returns order book with specified amount of levels for requested trading pair. If levels set as -1 all levels will be returned

### User info

<pre><code><strong>GET /user/user_info?trading_account=0x123
</strong></code></pre>

Returns user information regarding nonce, balances and fee levels

### Listen key

```
GET /user/listen_key
```

Returns [listen\_key](/layerakira-documentation/integration/endpoints/stream-subscriptions.md) for an authorised user and used as prolongation of current listen key.

### Gas oracle

```
GET /gas/price
```

Returns the current minimum amount of gas price that is necessary to be specified in order to perform any gas-involved trading activity.

{% hint style="info" %}
User can periodically query this amount and use it to build a GasFee entity skewed on some small multiplier.
{% endhint %}

### Get sign data

```
GET /sign/request_sign_data?user=<signer>&account=<trading_account>
```

Retrieves data that the client needs to sign via the private key of the[ signer](/layerakira-documentation/integration/technical-overview/trading-accounts.md) to show that they are the real owner of the account.

{% hint style="info" %}
For router users who trade via external funds, the exchange will validate signature via account abstraction so 'user' query param can be of same value as account.&#x20;
{% endhint %}

### Conversion rate

```
GET /info/conversion_rate?token=<symbol>
```

If user want to use paymasters (pay for gas not in strk) he needs to specify conversion rate. Exchange provides convenient method to query it. Client also can track it by taking mid bid/ask.

### Steps specification

```
GET /info/steps_specification
```

Each user action that require onchain fingerprint consumes some amount of gas steps. We provide expected upper bound for these trades (they are constant within chain(mainnet/sepolia).  However, actual gas expenditure will likely be less as we bundle actions into a rollup. Mainly we have the following actions:

1. offchain withdrawal
2. offchain increase nonce
3. ecosystem trade
4. router trade

### Layerakira router specification

```
GET /info/router_details
```

If user trades over the LayerAkira frontend or [leverages the LayerAkira Router](/layerakira-documentation/integration/technical-overview/routers/rewards-and-penalties.md), user needs to specify router details

### Ticker specification

```
GET /info/ticker_specifications
```

Each trading pair have specific rules about trading amount, ticks and etc. This endpoint allows you to query these rules. Any changes will be announced in advance

### Get order

```
GET /book/order?trading_account=0x123&order_hash=0x321&mode=1
```

Returns information about requested order

### Get orders

<pre><code><strong>GET /book/orders?trading_account=0x123&#x26;mode=1&#x26;offset=0&#x26;limit=20
</strong></code></pre>

Return all user's current orders, orders are sorted w\.r.t. to created time of order field


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://layer-akira.gitbook.io/layerakira-documentation/integration/endpoints/get-endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
